body {
  margin: 0;
  padding: 0;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  font-family: 'Arial', sans-serif;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}


body::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.5); /* dark transparent overlay */
  z-index: -1;
}




.onboarding-container {
  width: 100vw;
  height: 100vh;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
  display: flex;
  scroll-behavior: smooth;
}

.slides {
  display: flex;
  width: 300vw;
  height: 100vh;
  transition: transform 0.8s ease-in-out;
}

.slide {
  width: 100vw;
  height: 100vh;
  background-size: cover;
  background-position: center;
  flex-shrink: 0;
  position: relative;
}

.overlay {
  position: absolute;
  bottom: 100px;
  left: 20px;
  right: 20px;
  color: #fff;
  text-align: left;
  background: rgba(0, 0, 0, 0.3);
  padding: 20px;
  border-radius: 12px;
  padding-top: 10px;
}

.overlay h2 {
  font-size: 26px;
  margin-bottom: 10px;
  text-align: center;
}

.overlay p {
  font-size: 15px;
  margin-bottom: 20px;
  text-align: center;
}

.actions {
  display: flex;
  justify-content: space-between;
}

.actions button {
  padding: 10px 20px;
  border-radius: 6px;
  border: none;
  font-weight: bold;
  cursor: pointer;
  width: 45%;
}

.login {
  background-color: #e0e0e0;
  color: #333;
}

.register {
  background-color: #0047ff;
  color: white;
}



